# $Revision: 1.9 $, $Date: 2005/01/16 21:10:05 $
%define		realname	SDL_image
Summary:	Simple DirectMedia Layer - Sample Image Loading Library - Mingw32 cross version
Summary(pl):	Przykadowa biblioteka do adowania obrazkw - wersja skrona dla Mingw32
Name:		crossmingw32-%{realname}
Version:	1.2.4
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.libsdl.org/projects/SDL_image/release/%{realname}-%{version}.tar.gz
# Source0-md5:	70bf617f99e51a2c94550fc79d542f0b
Patch0:		%{realname}-ac_fixes.patch
URL:		http://www.libsdl.org/projects/SDL_image/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-SDL
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-libjpeg
BuildRequires:	crossmingw32-libpng
BuildRequires:	crossmingw32-w32api
BuildRequires:	crossmingw32-zlib
BuildRequires:	libtool
Requires:	crossmingw32-SDL
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target		i386-mingw32
%define		target_platform	i386-pc-mingw32
%define		arch		%{_prefix}/%{target}
%define		gccarch		%{_prefix}/lib/gcc-lib/%{target}
%define		gcclib		%{_prefix}/lib/gcc-lib/%{target}/%{version}

%define		__cc		%{target}-gcc
%define		__cxx		%{target}-g++

%ifarch alpha sparc sparc64 sparcv9
%define		optflags	-O2
%endif

%description
This is a simple library to load images of various formats as SDL
surfaces. This library currently supports BMP, PPM, PCX, GIF, JPEG,
and PNG formats.

%description -l pl
Jest to prosta biblioteka suca do adowania rnego formatu
obrazkw jako powierzchni SDL. W chwili obecnej biblioteka obsuguje
nastpujce formaty: BMP, PPM, PCX, GIF, JPEG oraz PNG.

%package dll
Summary:	%{realname} - DLL library for Windows
Summary(pl):	%{realname} - biblioteka DLL dla Windows
Group:		Applications/Emulators

%description dll
%{realname} - DLL library for Windows.

%description dll -l pl
%{realname} - biblioteka DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
CC=%{target}-gcc ; export CC
CXX=%{target}-g++ ; export CXX
LD=%{target}-ld ; export LD
AR=%{target}-ar ; export AR
AS=%{target}-as ; export AS
CROSS_COMPILE=1 ; export CROSS_COMPILE
CPPFLAGS="-I%{arch}/include" ; export CPPFLAGS
RANLIB=%{target}-ranlib ; export RANLIB
LDSHARED="%{target}-gcc -shared" ; export LDSHARED
TARGET="%{target}" ; export TARGET

rm -f acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
# no sdl test, because it requires configured wine to work
%configure \
	--host=%{_host} \
	--target=%{target} \
	--with-sdl-prefix=%{arch} \
	--disable-sdltest \
	--enable-bmp \
	--enable-gif \
	--enable-jpg \
	--enable-pcx \
	--enable-png \
	--enable-tga \
	--disable-shared

%{__make} libSDL_image.la

%{__cc} --shared IMG*.o -Wl,--enable-auto-image-base -o SDL_image.dll -Wl,--out-implib,libSDL_image.dll.a -lSDL -lpng -ljpeg

cp -f .libs/libSDL_image.a .

%if 0%{!?debug:1}
%{target}-strip -R.comment -R.note *.dll
%{target}-strip -g -R.comment -R.note *.a
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{arch}/{include/SDL,lib}
install -d $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

install *.a $RPM_BUILD_ROOT%{arch}/lib
install SDL_image.h $RPM_BUILD_ROOT%{arch}/include/SDL
install *.dll $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{arch}/include/SDL/*
%{arch}/lib/*

%files dll
%defattr(644,root,root,755)
%{_datadir}/wine/windows/system

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-SDL_image.spec,v $
Revision 1.9  2005/01/16 21:10:05  qboosh
- updated to 1.2.4

Revision 1.8  2005/01/15 23:26:17  qboosh
- R: crossmingw32-SDL

Revision 1.7  2004/10/09 11:04:07  wolf
- rel++
- R: crossmingw32-runtime

Revision 1.6  2004/09/16 12:03:19  wolf
- rel 3 to rebuild with gcc 3.4.2

Revision 1.5  2004/08/30 18:07:24  snurf
- typo / formatting / etc.

Revision 1.4  2004/02/21 19:09:26  wolf
- fuck libtool

Revision 1.3  2004/02/21 18:44:33  wolf
- fix alpha, sparc

Revision 1.2  2004/01/04 16:44:50  wolf
- don't require wine for building

Revision 1.1  2003/12/25 16:04:20  wolf
- blah
